Subject: Re: [PATCH 02/18] Documentation: document nospec helpers

From: Jonathan Corbet <[email-masked]>
Date: Mon, 8 Jan 2018 09:29:17 -0700

On Fri, 05 Jan 2018 17:10:03 -0800
Dan Williams <[email-masked]> wrote:

> Document the rationale and usage of the new nospec*() helpers.

I have just a couple of overall comments.

 - It would be nice if the document were done in RST and placed in the
   core-API manual, perhaps using kerneldoc comments for the macros
   themselves.  It's already 99.9% RST now, so the changes required would
   be minimal.

 - More importantly: is there any way at all to give guidance to
   developers wondering *when* they should use these primitives?  I think
   it would be easy to create a situation where they don't get used where
   they are really needed; meanwhile, there may well be a flood of
   "helpful" patches adding them where they make no sense at all.

Thanks,

jon